Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Problemi di aggiornamento dopo upgrade 4.6 [risolto]
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
mrl4n
l33t
l33t


Joined: 08 Apr 2009
Posts: 674

PostPosted: Tue May 10, 2011 7:14 pm    Post subject: Problemi di aggiornamento dopo upgrade 4.6 [risolto] Reply with quote

Come da topic ho aggiornato al kde 4.6 e tutto (a parte kmail e audio) funziona perfettamente.
Ora però se cerco di aggiornare il sistema o riparare librerie con "revdep-rebuild" ottengo sempre lo stesso messaggio
Code:
emerge: there are no ebuilds built with USE flags to satisfy ">=kde-base/kdelibs-4.6.2[aqua=,-kdeprefix,semantic-desktop=]".                                                                                 
!!! One of the following packages is required to complete your request:
- kde-base/kdelibs-4.6.2-r3 (Change USE: -semantic-desktop)
- kde-base/plasma-workspace-4.6.2-r1 (Change USE: +semantic-desktop)
(dependency required by "kde-base/plasma-workspace-4.6.2-r1" [installed])
(dependency required by "kde-base/kdebase-meta-4.6.2" [installed])
(dependency required by "kde-base/kde-meta-4.6.2" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])


Last edited by mrl4n on Sun May 15, 2011 6:59 pm; edited 1 time in total
Back to top
View user's profile Send private message
darkmanPPT
Veteran
Veteran


Joined: 13 Apr 2006
Posts: 1069
Location: vi/bo

PostPosted: Tue May 10, 2011 7:24 pm    Post subject: Reply with quote

ma tu, che flag hai attive in questo momento su kdelibs e su plasma-workspace?

sono impostate attraverso il make.conf (quindi valgono su tutte) oppure attraverso /etc/portage/package.use (quindi ogni pacchetto a sè) ?
_________________
Darkman
Back to top
View user's profile Send private message
mrl4n
l33t
l33t


Joined: 08 Apr 2009
Posts: 674

PostPosted: Tue May 10, 2011 7:36 pm    Post subject: Reply with quote

Le flag su kdelibs sono impostate in package.use semantic -desktop mentre per plasma-workspace non ho impostato nulla.

Edit: ho provato ad impostare semantic -desktop in package.use anche per plasma-workspace, senza nessun cambiamento

Ri-edit: ho aggiunto in package.use
Code:
>=kde-base/kdepimlibs-4.6.2-r3 -semantic -desktop
=kde-base/plasma-workspace-4.6.2-r1 semantic -desktop
>=kde-base/kdepimlibs-4.6 aqua -kdeprefix semantic-desktop
e lanciato un
Code:
eix-sync && emerge -NDuav world
e mi ha trovato diversi aggiornamenti...per ora sta lavorando; vediamo che succede.
Back to top
View user's profile Send private message
jezet
Tux's lil' helper
Tux's lil' helper


Joined: 21 Jul 2009
Posts: 103
Location: Falconara Marittima, Ancona

PostPosted: Tue May 10, 2011 8:52 pm    Post subject: Reply with quote

Io generalmente quando ricevo quel messaggio uso direttamente ufed seguendo l' avvertimento che mi dato l' emerge...
cmq io la flag -semantic-desktop non ce l' ho!!
ciao
eg
_________________
Linux User Num. 533880 && Machine Registration Num. 434363
Back to top
View user's profile Send private message
mrl4n
l33t
l33t


Joined: 08 Apr 2009
Posts: 674

PostPosted: Tue May 10, 2011 9:01 pm    Post subject: Reply with quote

Proprio vero che ogni sistema è diverso dagli altri...
Ora kmail funziona, adesso vedo per l'audio.
Back to top
View user's profile Send private message
fbcyborg
Advocate
Advocate


Joined: 16 Oct 2005
Posts: 3056
Location: ROMA

PostPosted: Tue May 10, 2011 9:46 pm    Post subject: Reply with quote

Anche io ho avuto il tuo stesso problema ed ho risolto settando così le use flag:
Code:
kde-base/kdepimlibs semantic-desktop
kde-base/kdelibs semantic-desktop
kde-base/plasma-workspace semantic-desktop


Comunque occhio che a me al primo avvio di kde 4.6, non è partita la barra delle applicazioni e l'ho dovuta ricreare e ricreare tutti i link alle applicazioni che avevo fatto.
Per non parlare poi del fatto che questa barra crasha spesso e che la traybar fa come gli pare! Ora mi ha perso tutte le impostazioni nuovamente e non mi fa vedere l'icona di skype! :evil:
Inoltre non nasconde KOrganizer e Printer Applet. Mah! Menomale che era stabile!

EDIT: altri problemi. Imposto il numero di Virtual Desktop a 1 e non memorizza l'impostazione. Me li ritrovo a 4 nuovamente!
_________________
[HOWTO] Come criptare la /home usando cryptsetup e luks
[HOWTO] Abilitare il supporto al dom0 XEN su kernel 3.X
Help answer the unanswered
Back to top
View user's profile Send private message
pierino_89
Guru
Guru


Joined: 03 Oct 2009
Posts: 522

PostPosted: Thu May 12, 2011 10:53 am    Post subject: Reply with quote

Vi consiglio caldamente di passare alla 4.6.3 perché risolve molti di questi problemi (anche a me perdeva i settaggi dei workspace e non apparivano le icone).

In ogni caso il problema in questo caso era molto semplice: o si abilita il desktop semantico per tutto KDE, o non si abilita. Credo che non sia male tenerla come flag globale, onestamente.
_________________
Linux registered user 461710
Back to top
View user's profile Send private message
jezet
Tux's lil' helper
Tux's lil' helper


Joined: 21 Jul 2009
Posts: 103
Location: Falconara Marittima, Ancona

PostPosted: Thu May 12, 2011 12:14 pm    Post subject: Reply with quote

scusa pierino_89, quali sarebbe i benefici della use semantic-desktop??
:?:

No perché se cambia le prestazioni o altro... Forse 6 ore di ri-compilazione ce le potrei anche spendere! :)
ciao ciao
eg
_________________
Linux User Num. 533880 && Machine Registration Num. 434363
Back to top
View user's profile Send private message
pierino_89
Guru
Guru


Joined: 03 Oct 2009
Posts: 522

PostPosted: Thu May 12, 2011 8:50 pm    Post subject: Reply with quote

Sicuramente le prestazioni peggiorano :D
Il desktop semantico riguarda nepomuk, ovvero l'arnese che permette di mettere tag e stelline ai file nonché aggiungere metadati in ogni dove, detto in parole povere. E poi l'insieme di metadati viene integrato con strigi (il motore di ricerca).
_________________
Linux registered user 461710
Back to top
View user's profile Send private message
fbcyborg
Advocate
Advocate


Joined: 16 Oct 2005
Posts: 3056
Location: ROMA

PostPosted: Thu May 12, 2011 8:52 pm    Post subject: Reply with quote

Io l'ho disabilitato da tempo nei settaggi di KDE. Non lo sopporto! :D
_________________
[HOWTO] Come criptare la /home usando cryptsetup e luks
[HOWTO] Abilitare il supporto al dom0 XEN su kernel 3.X
Help answer the unanswered
Back to top
View user's profile Send private message
pingoo
Guru
Guru


Joined: 11 Jul 2006
Posts: 324

PostPosted: Thu May 12, 2011 9:06 pm    Post subject: Reply with quote

Aggiungo che proprio per nepomuk installa anche l'ennesimo server, "virtuoso"...
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2410
Location: イタリアのロディで

PostPosted: Fri May 13, 2011 5:54 am    Post subject: Reply with quote

fbcyborg wrote:
Io l'ho disabilitato da tempo nei settaggi di KDE. Non lo sopporto! :D

Idem con patate.
_________________
Il numero di post non fa di me un esperto! Anzi!
Back to top
View user's profile Send private message
jezet
Tux's lil' helper
Tux's lil' helper


Joined: 21 Jul 2009
Posts: 103
Location: Falconara Marittima, Ancona

PostPosted: Fri May 13, 2011 12:23 pm    Post subject: Reply with quote

Ok, grazie per le risposte!
ciao
eg
_________________
Linux User Num. 533880 && Machine Registration Num. 434363
Back to top
View user's profile Send private message
xdarma
l33t
l33t


Joined: 08 Dec 2003
Posts: 682
Location: tra veneto e friuli (italy)

PostPosted: Fri May 13, 2011 5:25 pm    Post subject: Reply with quote

pingoo wrote:
Aggiungo che proprio per nepomuk installa anche l'ennesimo server, "virtuoso"...

Ma virtuoso non è l'unico che funziona decentemente?
Tu di solito cosa usi?

Ciao e grazie :-)
_________________
proud user of faKeDE-4.7.3
Back to top
View user's profile Send private message
pingoo
Guru
Guru


Joined: 11 Jul 2006
Posts: 324

PostPosted: Fri May 13, 2011 8:00 pm    Post subject: Reply with quote

xdarma wrote:
Ma virtuoso non è l'unico che funziona decentemente?
Tu di solito cosa usi?

Ciao, mi spiace ma non ne so nulla di possibili alternative. E' da un po' che non ho nepomuk installato e vorrei evitarlo anche al costo di alcuni programmi; segnalavo la cosa sia per completezza sia perché mi sono un po' scocciato di tutti questi server che mi fanno installare :) Ad es. alla fine son "dovuto" tornare ad amarok** e beccarmi mysql anche se ho una collezione modesta. E akonadi-server* e virtuoso(70MB de robba) e mysql ... e basta!

* che in realtà si appoggia ad un server esterno come mysql o sqlite ma vabbè :P
Back to top
View user's profile Send private message
Pes88
Apprentice
Apprentice


Joined: 06 May 2009
Posts: 243

PostPosted: Sat May 14, 2011 8:06 am    Post subject: Reply with quote

Quote:
Ma virtuoso non è l'unico che funziona decentemente?


Io ho avto dei problemi con virtuoso, occupava il 50% della cpu. Poiché ho disabilitato nepomuk , ho inserito come flag globale -semantic-desktop su make.conf, mi sembrava la soluzione migliore, e ora funziona tutto bene... :)
_________________
Pygoscelis papua, chiamato Gentoo dagli abitanti delle isole Falkland/Malvinas, noto per essere il pinguino più veloce!!! XD
Back to top
View user's profile Send private message
xdarma
l33t
l33t


Joined: 08 Dec 2003
Posts: 682
Location: tra veneto e friuli (italy)

PostPosted: Sat May 14, 2011 4:54 pm    Post subject: Reply with quote

Sono interessato al desktop semantico ma solo come "utonto". Nel senso che una volta abilitato voglio che funzioni senza smadonnare ;-)
Al momento sono ancora con KDE4.4.5 (poca voglia di aggiornare qualcosa che funziona) e dopo vari tentativi virtuoso-soprano-strigi-nepomuk funzionicchia: quando avvio la sessione KDE, strigi indicizza correttamente e non si mangia centinaia di mega di ram o di spazio su disco. Poi avvio qualcosa collegato ad akonadi (tipo kmail...) e virtuoso-soprano-strigi-nepomuk vanno in segfault. Per cercare di farli convivere ho cercato di cambiare db di nepomuk da mysql a sqlite ma nella versione di KDE che uso non è ben supportato (anzi, per niente).
Peccato perché quando faccio una ricerca a casaccio tipo "kyo" o "berl" mi trova un sacco di cose che mi ero dimenticato di aver salvato o siti che avevo visitato :-D
_________________
proud user of faKeDE-4.7.3
Back to top
View user's profile Send private message
mrl4n
l33t
l33t


Joined: 08 Apr 2009
Posts: 674

PostPosted: Sat May 14, 2011 7:18 pm    Post subject: Reply with quote

L'audio continua a non funzionare, prima o poi riuscirò a sistemarlo...dall'aggiornamento sono finito in una strada senza uscita.
Se lancio un
Code:
eix-sync && emerge -NDuav world
tutto si blocca con il messaggio
Code:
emerge: there are no ebuilds built with USE flags to satisfy ">=kde-base/kdelibs-4.6.2[aqua=,-kdeprefix,semantic-desktop=]".                                                                                 
!!! One of the following packages is required to complete your request:
- kde-base/kdelibs-4.6.2-r3 (Change USE: -semantic-desktop)
- kde-base/plasma-workspace-4.6.2-r1 (Change USE: +semantic-desktop)
(dependency required by "kde-base/plasma-workspace-4.6.2-r1" [installed])
(dependency required by "kde-base/kdebase-meta-4.6.2" [installed])
(dependency required by "kde-base/kde-meta-4.6.2" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])

La cosa strana è che il mio package.use è questo
Code:
>=kde-base/kdepimlibs-4.6.2-r3 -semantic -desktop
>=kde-base/plasma-workspace-4.6.2-r1 semantic -desktop
>=kde-base/kdepimlibs-4.6 aqua -kdeprefix semantic-desktop
>=kde-base/kdelibs-4.6.2 aqua -kdeprefix semantic-desktop
=kde-base/kdelibs-4.6.2-r3 semantic-desktop

e se modifico le USE di kdelibs così come indicato lo stesso messaggio dopo il tentativo di aggiornamento mi dice che
Code:
emerge: there are no ebuilds built with USE flags to satisfy ">=kde-base/kdelibs-4.6.2[aqua=,-kdeprefix,semantic-desktop]".                                                                                   
!!! One of the following packages is required to complete your request:
- kde-base/kdelibs-4.6.2-r3 (Change USE: +semantic-desktop)
(dependency required by "kde-base/nepomuk-4.6.2" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])

esattamente il contrario e si blocca di nuovo...
Back to top
View user's profile Send private message
pierino_89
Guru
Guru


Joined: 03 Oct 2009
Posts: 522

PostPosted: Sun May 15, 2011 1:03 am    Post subject: Reply with quote

Nei primi due hai scritto semantic-desktop STACCATO.
Comunque, continuo a dire che si fa prima a settarla globalmente, che in futuro potrebbero avere la stessa use altri pacchetti, e non è una cosa che si abilita un po' sì e un po' no.
_________________
Linux registered user 461710
Back to top
View user's profile Send private message
devilheart
l33t
l33t


Joined: 17 Mar 2005
Posts: 832
Location: Villach, Austria

PostPosted: Sun May 15, 2011 11:22 am    Post subject: Reply with quote

Rimuovere semantic-desktop è una cosa più rognosa di quanto serva. libkdepim richiede che kdepimlibs abbia semantic-desktop attivo e questo si porta dietro il mondo
Back to top
View user's profile Send private message
mrl4n
l33t
l33t


Joined: 08 Apr 2009
Posts: 674

PostPosted: Sun May 15, 2011 6:59 pm    Post subject: Reply with quote

pierino_89 wrote:
Nei primi due hai scritto semantic-desktop STACCATO.


Ho fatto la mia figuraccia, ora sono a posto...grazie.
Back to top
View user's profile Send private message
.:deadhead:.
Advocate
Advocate


Joined: 25 Nov 2003
Posts: 2963
Location: Milano, Italy

PostPosted: Mon May 16, 2011 2:41 pm    Post subject: Reply with quote

devilheart wrote:
Rimuovere semantic-desktop è una cosa più rognosa di quanto serva. libkdepim richiede che kdepimlibs abbia semantic-desktop attivo e questo si porta dietro il mondo
Anche io ero all'inizio l'avevo eliminata tale use flag, peccato che poi mi sia trovato con delle app che la richiedevano necessariamente. Risultato ho tutto nepomuk installato, ma ho spento strigi che era il componente che mi ammazzava il pc: lo si fà da [Impostazioni di Sistema] [Ricerca Desktop]
_________________
Proudly member of the Gentoo Documentation Project: the Italian Conspiracy ! ;)
Back to top
View user's profile Send private message
fbcyborg
Advocate
Advocate


Joined: 16 Oct 2005
Posts: 3056
Location: ROMA

PostPosted: Sun Jun 19, 2011 10:46 am    Post subject: Reply with quote

Di nuovo un problema con questo semantic-desktop che ora deve essere disabilitato.
Ecco cosa succede se voglio aggiornare:
Code:
The following keyword changes are necessary to proceed:
#required by kde-base/kajongg-4.6.3[handbook], required by kde-base/kdegames-meta-4.6.3[python], required by @selected, required by @world (argument)
>=kde-base/kdelibs-4.6.4 ~amd64

The following USE changes are necessary to proceed:
#required by kde-base/kajongg-4.6.3[handbook], required by kde-base/kdegames-meta-4.6.3[python], required by @selected, required by @world (argument)
>=kde-base/kdelibs-4.6.4 -semantic-desktop

Code:
!!! All ebuilds that could satisfy ">=kde-base/kdelibs-4.6.3:4[aqua=,opengl,semantic-desktop=]" have been masked.
!!! One of the following masked packages is required to complete your request:
- kde-base/kdelibs-4.6.4::gentoo (masked by: ~amd64 keyword)
- kde-base/kdelibs-4.6.3-r2::gentoo (masked by: )

Però se smaschero kdelibs-4.6.4 mi chiede di impostare -semantic-desktop. Se metto -semantic-desktop poi va in conflitto con un altro programma che vuole il semantic-desktop.
Qualcuno sa come sbrogliare la cosa?
_________________
[HOWTO] Come criptare la /home usando cryptsetup e luks
[HOWTO] Abilitare il supporto al dom0 XEN su kernel 3.X
Help answer the unanswered
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum